Subject: Re: [PATCH v2] rtl8xxxu: Use lower tx rates for the ack packet

From: Kalle Valo <[email-masked]>
Date: Tue, 5 Oct 2021 05:33:22 +0000 (UTC)

Chris Chiu <[email-masked]> wrote:

> According to the Realtek propritary driver and the rtw88 driver, the
> tx rates of the ack (includes block ack) are initialized with lower
> tx rates (no HT rates) which is set by the RRSR register value. In
> real cases, ack rate higher than current tx rate could lead to
> difficulty for the receiving end to receive management/control frames.
> The retransmission rate would be higher then expected when the driver
> is acting as receiver and the RSSI is not good.
> 
> Cross out higer rates for ack packet before implementing dynamic rrsr
> configuration like the commit 4830872685f8 ("rtw88: add dynamic rrsr
> configuration").
> 
> Signed-off-by: Chris Chiu <[email-masked]>
> Acked-by: Jes Sorensen <[email-masked]>

Patch applied to wireless-drivers-next.git, thanks.

7acd723c30c0 rtl8xxxu: Use lower tx rates for the ack packet

-- 
https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches